Documentation Index

Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt

Use this file to discover all available pages before exploring further.

Remove Custom OAuth

Prev Next
Post
/api/v1/settings.removeCustomOAuth

Remove a custom OAuth integration from your workspace. All the Accounts_OAuth_Custom-<Name>-* settings of the named service are deleted. This endpoint requires 2FA.

It replaces the deprecated removeOAuthService real-time method, which remains available until 9.0.0.

Permission required:

  • add-oauth-service

Changelog

Version Description
8.8.0 Added
Header parameters
X-User-Id
stringRequired

The user ID.

ExampleCkCPNctrgCDfmWLqC
X-Auth-Token
stringRequired

The authentication token.

Example1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE
x-2fa-code
string

The 2FA code. This parameter is required if 2FA is enabled in your workspace. See the Introduction to Two-Factor Authentication document for details.

x-2fa-method
string

Enter the method with which you get the 2FA code. It can be email, totp, or password. This parameter is required if 2FA is enabled in your workspace.

Body parameters
Example
{
  "name": "myProvider"
}
object
name
string Required

The name of the custom OAuth service that you want to remove.

ExamplemyProvider
Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
400

Bad Request

Missing name param
{
  "success": false,
  "error": "The parameter \"name\" is required [error-name-param-not-provided]",
  "errorType": "error-name-param-not-provided"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Permission Error
{
  "success": false,
  "error": "User does not have the permissions required for this action [error-unauthorized]"
}
object
success
boolean
error
string